Update a report
curl --request PATCH \
--url https://api.northreports.com/v1/reports/{reportId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"price": 123,
"beds": 123,
"baths": 123,
"sqft": 123,
"year_built": 123,
"property_type": "<string>",
"description": "<string>",
"status": "<string>",
"is_draft": true,
"executive_summary": "<string>",
"show_comps_on_report": true,
"show_neighborhood_on_report": true,
"show_social_media_on_report": true,
"show_showings_on_report": true,
"show_agent_insights_on_report": true
}
'import requests
url = "https://api.northreports.com/v1/reports/{reportId}"
payload = {
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"price": 123,
"beds": 123,
"baths": 123,
"sqft": 123,
"year_built": 123,
"property_type": "<string>",
"description": "<string>",
"status": "<string>",
"is_draft": True,
"executive_summary": "<string>",
"show_comps_on_report": True,
"show_neighborhood_on_report": True,
"show_social_media_on_report": True,
"show_showings_on_report": True,
"show_agent_insights_on_report": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
price: 123,
beds: 123,
baths: 123,
sqft: 123,
year_built: 123,
property_type: '<string>',
description: '<string>',
status: '<string>',
is_draft: true,
executive_summary: '<string>',
show_comps_on_report: true,
show_neighborhood_on_report: true,
show_social_media_on_report: true,
show_showings_on_report: true,
show_agent_insights_on_report: true
})
};
fetch('https://api.northreports.com/v1/reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}{
"error": {
"message": "Address is required",
"status": 400
}
}{
"error": {
"message": "Invalid API key",
"status": 401
}
}{
"error": {
"message": "Permission denied: reports:create",
"status": 403
}
}{
"error": {
"message": "Report not found",
"status": 404
}
}{
"error": {
"message": "Rate limit exceeded. Please try again later.",
"status": 429
}
}Reports
Update Report
Updates an existing report. Only provided fields will be updated.
PATCH
/
v1
/
reports
/
{reportId}
Update a report
Authorizations
API key authentication. Include your API key in the Authorization header:
Authorization: Bearer north_sk_live_xxxxxxxxxxxx
Path Parameters
The report ID to update
Body
application/json
⌘I